Name:          libxshmfence
Version:       1.3.3
Release:       1mamba
Summary:       Shared memory 'SyncFence' synchronization primitive
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.freedesktop.org/xorg/lib/libxshmfence
Source:        https://gitlab.freedesktop.org/xorg/lib/libxshmfence.git/libxshmfence-%{version}/libxshmfence-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
libxshmfence - Shared memory 'SyncFence' synchronization primitive.
This library offers a CPU-based synchronization primitive compatible with the X SyncFence objects that can be shared between processes using file descriptor passing.
On Linux, the library uses futexes.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
./autogen.sh
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libxshmfence.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/X11/xshmfence.h
%{_libdir}/libxshmfence.a
%{_libdir}/libxshmfence.so
%{_libdir}/pkgconfig/xshmfence.pc
#%doc README

%changelog
* Sun Dec 15 2024 Automatic Build System <autodist@openmamba.org> 1.3.3-1mamba
- automatic version update by autodist

* Fri Dec 09 2022 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Wed Oct 26 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.1-1mamba
- update to 1.3.1

* Fri Mar 02 2018 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic version update by autodist

* Sat Jan 03 2015 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Sun Mar 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- package created using the webbuild interface
